
Foreman - Feature #2675

Metrics in summary email should be sorted

06/18/2013 04:05 AM - Dirk Melchers

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The metrics in the daily summary mail are not sorted and change order every day, which is confusing.

My ruby knowledge is zero - but the attached patch seems to fix it.

Please review and fix - I am very unsure, if the second sort will work correctly...

Regards,

Dirk.

Related issues:

Related to Foreman - Tracker #7585: Mail notifications tracker New

History

#1 - 06/18/2013 04:16 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.3.0

#2 - 06/18/2013 04:17 AM - Dominic Cleal

Thanks for the patch Dirk.  If you're comfortable with git, please submit it as a pull request to our GitHub repo, but if not hopefully somebody can do

this on your behalf and double check it.

#3 - 06/18/2013 08:05 AM - Dirk Melchers

Dominic Cleal wrote:

Thanks for the patch Dirk.  If you're comfortable with git, please submit it as a pull request to our GitHub repo, but if not hopefully somebody can

do this on your behalf and double check it.

 I would prefer if someone else could do this - because someone who knows ruby and .erb-files has to check it again!

#4 - 09/16/2013 11:47 AM - Lukas Zapletal

- Description updated

- Target version deleted (1.3.0)

#5 - 09/23/2014 07:47 AM - Stephen Benjamin

- Related to Tracker #7585: Mail notifications tracker added

#6 - 02/29/2016 04:34 AM - Amir Fefer

- Status changed from Ready For Testing to Resolved

Metrics in summary email already sorted, as you can see here:
https://github.com/theforeman/foreman/blob/develop/app/mailers/host_mailer.rb#L11

Files

_active_hosts.html.erb.patch 938 Bytes 06/18/2013 Dirk Melchers
